/* $Id: kb_ui.h,v 1.3 2003/01/09 23:47:22 chris Exp $
 *
 * definitions for keyboard emulation
 * (c) 2002,2003 Christian Groessler (chris@groessler.org)
 */

#ifndef __KB_UI_H__
#define __KB_UI_H__

#ifdef KB_UI  /* set in config.h */

struct kb_entry {
	int akey;
	char *name;
	int x;
	int y;
	int *flagdep;   /* if flag & TOGGLE_ONLY points to var to toggle */
	int flags;
};

#define FLAG_TOGGLE 1
#define FLAG_HIST   2

#define AKEY_KEYB   -10
#define AKEY_SELECT -11
#define AKEY_START  -12
#define AKEY_OPTION -13

extern int inject_key;
extern void kb_ui(UBYTE *, UBYTE *, unsigned int);
extern void kb_ui_5200(UBYTE *);

/* 3rd parameter for kb_ui() */
#define KB_SELECT 1    /* display slightly different help text */
#define KB_CONSOL 2    /* consol keys emulation */

#endif /* #ifdef KB_UI */
#endif /* #ifndef __KB_UI_H__ */
